<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>ElectionPagePropertiesModelEditComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/operation/parameters/election-page-properties/election-page-properties-model-edit.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
                <code><a href="https://angular.io/api/core/OnDestroy" target="_blank" >OnDestroy</a></code>
                <code><a href="../interfaces/ConfirmBeforeQuit.html" target="_self" >ConfirmBeforeQuit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>election-page-properties-model-edit</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./election-page-properties-model-edit.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./election-page-properties-model-edit.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#columnsOrderOnVerificationTable">columnsOrderOnVerificationTable</a>
                            </li>
                            <li>
                                <a href="#displayedColumnsOnVerificationTable">displayedColumnsOnVerificationTable</a>
                            </li>
                            <li>
                                <a href="#form">form</a>
                            </li>
                            <li>
                                <a href="#mode">mode</a>
                            </li>
                            <li>
                                <a href="#operation">operation</a>
                            </li>
                            <li>
                                <a href="#possibleCandidateInformationDisplayModels">possibleCandidateInformationDisplayModels</a>
                            </li>
                            <li>
                                <a href="#possibleColumnsForVerificationsCodes">possibleColumnsForVerificationsCodes</a>
                            </li>
                            <li>
                                <a href="#readOnly">readOnly</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#saved">saved</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#subscriptions">subscriptions</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#isFormModified">isFormModified</a>
                            </li>
                            <li>
                                <a href="#ngOnDestroy">ngOnDestroy</a>
                            </li>
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                            <li>
                                <a href="#save">save</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#updateFormWithModel">updateFormWithModel</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#updateForReadonly">updateForReadonly</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(fb: <a href="https://angular.io/api/forms/FormBuilder" target="_blank">FormBuilder</a>, route: <a href="https://angular.io/api/router/ActivatedRoute" target="_blank">ActivatedRoute</a>, router: <a href="https://angular.io/api/router/Router" target="_blank">Router</a>, readOnlyService: <a href="../injectables/ReadOnlyService.html">ReadOnlyService</a>, service: <a href="../injectables/ElectionPagePropertiesService.html">ElectionPagePropertiesService</a>, operationManagementService: <a href="../injectables/OperationManagementService.html">OperationManagementService</a>, dictionaryService: <a href="../injectables/DictionaryService.html">DictionaryService</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="34" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-model-edit.component.ts:34</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>fb</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/forms/FormBuilder" target="_blank" >FormBuilder</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>route</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/ActivatedRoute" target="_blank" >ActivatedRoute</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>router</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/Router" target="_blank" >Router</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>readOnlyService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/ReadOnlyService.html" target="_self" >ReadOnlyService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>service</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/ElectionPagePropertiesService.html" target="_self" >ElectionPagePropertiesService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>operationManagementService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/OperationManagementService.html" target="_self" >OperationManagementService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>dictionaryService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/DictionaryService.html" target="_self" >DictionaryService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isFormModified"></a>
                        <span class="name">
                            <b>
                            isFormModified
                            </b>
                            <a href="#isFormModified"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isFormModified()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="66" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-model-edit.component.ts:66</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnDestroy"></a>
                        <span class="name">
                            <b>
                            ngOnDestroy
                            </b>
                            <a href="#ngOnDestroy"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnDestroy()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="70" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-model-edit.component.ts:70</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnInit"></a>
                        <span class="name">
                            <b>
                            ngOnInit
                            </b>
                            <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnInit()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="75" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-model-edit.component.ts:75</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="save"></a>
                        <span class="name">
                            <b>
                            save
                            </b>
                            <a href="#save"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>save()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="117" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-model-edit.component.ts:117</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="updateFormWithModel"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            updateFormWithModel
                            </b>
                            <a href="#updateFormWithModel"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>updateFormWithModel(model: <a href="../interfaces/Model.html">Model</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="100" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-model-edit.component.ts:100</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>model</td>
                                                        <td>
                                                                    <code><a href="../interfaces/Model.html" target="_self" >Model</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="updateForReadonly"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            updateForReadonly
                            </b>
                            <a href="#updateForReadonly"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>updateForReadonly(readOnly: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank">boolean</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="111" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-model-edit.component.ts:111</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>readOnly</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="columnsOrderOnVerificationTable"></a>
                        <span class="name">
                            <b>
                            columnsOrderOnVerificationTable
                            </b>
                            <a href="#columnsOrderOnVerificationTable"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>columnsOrderOnVerificationTable:     <code>string[]</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>string[]</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="34" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-model-edit.component.ts:34</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="displayedColumnsOnVerificationTable"></a>
                        <span class="name">
                            <b>
                            displayedColumnsOnVerificationTable
                            </b>
                            <a href="#displayedColumnsOnVerificationTable"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>displayedColumnsOnVerificationTable:     <code>string[]</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>string[]</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="33" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-model-edit.component.ts:33</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="form"></a>
                        <span class="name">
                            <b>
                            form
                            </b>
                            <a href="#form"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>form:     <code><a href="https://angular.io/api/forms/FormGroup" target="_blank" >FormGroup</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://angular.io/api/forms/FormGroup" target="_blank" >FormGroup</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="23" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-model-edit.component.ts:23</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="mode"></a>
                        <span class="name">
                            <b>
                            mode
                            </b>
                            <a href="#mode"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>mode:     <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>&quot;create&quot;</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="25" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-model-edit.component.ts:25</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="operation"></a>
                        <span class="name">
                            <b>
                            operation
                            </b>
                            <a href="#operation"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>operation:     <code><a href="../classes/Operation.html" target="_self" >Operation</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../classes/Operation.html" target="_self" >Operation</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="29" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-model-edit.component.ts:29</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="possibleCandidateInformationDisplayModels"></a>
                        <span class="name">
                            <b>
                            possibleCandidateInformationDisplayModels
                            </b>
                            <a href="#possibleCandidateInformationDisplayModels"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>possibleCandidateInformationDisplayModels:     <code>string[]</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>string[]</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>[]</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="30" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-model-edit.component.ts:30</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="possibleColumnsForVerificationsCodes"></a>
                        <span class="name">
                            <b>
                            possibleColumnsForVerificationsCodes
                            </b>
                            <a href="#possibleColumnsForVerificationsCodes"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>possibleColumnsForVerificationsCodes:     <code>string[]</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>string[]</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="31" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-model-edit.component.ts:31</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="readOnly"></a>
                        <span class="name">
                            <b>
                            readOnly
                            </b>
                            <a href="#readOnly"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>readOnly:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>false</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="28" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-model-edit.component.ts:28</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="saved"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            saved
                            </b>
                            <a href="#saved"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>saved:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>false</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="26" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-model-edit.component.ts:26</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="subscriptions"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            subscriptions
                            </b>
                            <a href="#subscriptions"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>subscriptions:     <code>Subscription[]</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>Subscription[]</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>[]</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="27" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-model-edit.component.ts:27</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnDestroy, OnInit } from &#x27;@angular/core&#x27;;
import { ActivatedRoute, Router } from &#x27;@angular/router&#x27;;
import { FormBuilder, FormGroup, Validators } from &#x27;@angular/forms&#x27;;
import {
  enableFormComponents, focusOnError, isFormModifiedAndNotSaved, REGEX_ALPHA_NUMERICAL_WITH_ACCENT, validateRegex
} from &#x27;../../../core/util/form-utils&#x27;;

import { ReadOnlyService } from &#x27;../../service/read-only.service&#x27;;
import { Subscription } from &#x27;rxjs/Subscription&#x27;;
import { ElectionPagePropertiesService } from &#x27;./services/election-page-properties.service&#x27;;
import { OperationManagementService } from &#x27;../../service/operation-managment.service&#x27;;
import { Operation } from &#x27;../../model/operation&#x27;;
import { Model } from &#x27;./model/election-page-properties&#x27;;
import { ConfirmBeforeQuit } from &#x27;../../../core/confirm-before-quit&#x27;;
import { DictionaryService } from &#x27;../../../core/service/dictionary.service&#x27;;

@Component({
  selector: &#x27;election-page-properties-model-edit&#x27;,
  templateUrl: &#x27;./election-page-properties-model-edit.component.html&#x27;,
  styleUrls: [&#x27;./election-page-properties-model-edit.component.scss&#x27;]
})
export class ElectionPagePropertiesModelEditComponent implements OnInit, OnDestroy, ConfirmBeforeQuit {
  form: FormGroup;

  mode &#x3D; &quot;create&quot;;
  private saved &#x3D; false;
  private subscriptions: Subscription[] &#x3D; [];
  readOnly &#x3D; false;
  operation: Operation;
  possibleCandidateInformationDisplayModels: string[] &#x3D; [];
  possibleColumnsForVerificationsCodes: string[];

  displayedColumnsOnVerificationTable: string[];
  columnsOrderOnVerificationTable: string[];


  constructor(fb: FormBuilder, private route: ActivatedRoute, private router: Router,
              private readOnlyService: ReadOnlyService,
              private service: ElectionPagePropertiesService,
              private operationManagementService: OperationManagementService,
              private dictionaryService: DictionaryService) {

    this.form &#x3D; fb.group({
      id: 0,
      modelName: [null, [
        Validators.required,
        Validators.maxLength(255),
        validateRegex(REGEX_ALPHA_NUMERICAL_WITH_ACCENT, &quot;onlyAlphaNumerical&quot;)
      ]],
      displayCandidateSearchForm: [false],
      allowChangeOfElectoralList: [false],
      displayEmptyPosition: [false],
      displayCandidatePositionOnACompactBallotPaper: [false],
      displayCandidatePositionOnAModifiedBallotPaper: [false],
      displaySuffrageCount: [false],
      displayListVerificationCode: [false],
      candidateInformationDisplayModel: [null, [Validators.required]],
      allowOpenCandidature: [false],
      allowMultipleMandates: [false],
      displayVoidOnEmptyBallotPaper: [false]
    });


  }

  isFormModified(): boolean {
    return isFormModifiedAndNotSaved(this.form, this.saved);
  }

  ngOnDestroy(): void {
    this.subscriptions.forEach(s &#x3D;&gt; s.unsubscribe());
  }


  ngOnInit() {
    this.subscriptions.push(
      this.readOnlyService.isElectionPagePropertiesInReadOnly().subscribe(readOnly &#x3D;&gt; this.updateForReadonly(readOnly)),
      this.operationManagementService.operation.subscribe(operation &#x3D;&gt; {
        this.operation &#x3D; operation;

        this.dictionaryService.getCandidateInformationDisplayModels(operation.id)
          .subscribe(candidateDisplayModels &#x3D;&gt; this.possibleCandidateInformationDisplayModels &#x3D; candidateDisplayModels);

        this.dictionaryService.getColumnsForVerificationsCodes(operation.id)
          .subscribe(
            columnsForVerificationsCodes &#x3D;&gt; {
              this.possibleColumnsForVerificationsCodes &#x3D; columnsForVerificationsCodes;
              if (!this.displayedColumnsOnVerificationTable) {
                this.displayedColumnsOnVerificationTable &#x3D; columnsForVerificationsCodes;
              }
            });


      }),
      this.route.data.subscribe(data &#x3D;&gt; this.updateFormWithModel(data.model))
    );
  }


  private updateFormWithModel(model: Model) {
    this.form.reset(model);
    if (model) {
      this.displayedColumnsOnVerificationTable &#x3D; model.displayedColumnsOnVerificationTable;
      this.columnsOrderOnVerificationTable &#x3D; model.columnsOrderOnVerificationTable;
    } else {
      this.columnsOrderOnVerificationTable &#x3D; [];
    }
  }


  private updateForReadonly(readOnly: boolean) {
    this.readOnly &#x3D; readOnly;
    enableFormComponents(this.form.controls, !readOnly);
  }


  save(): void {
    Object.keys(this.form.controls).forEach(k &#x3D;&gt; this.form.controls[k].markAsTouched());
    this.form.updateValueAndValidity();
    if (this.form.valid) {
      this.service.saveOrUpdateModel(this.operation.id,
        Object.assign({}, this.form.getRawValue(), {
          columnsOrderOnVerificationTable: this.columnsOrderOnVerificationTable,
          displayedColumnsOnVerificationTable: this.displayedColumnsOnVerificationTable
        })).subscribe(() &#x3D;&gt; {
        this.saved &#x3D; true;
        this.router.navigate([&#x27;../..&#x27;], {relativeTo: this.route});
        this.operationManagementService.shouldUpdateStatus(false);
      });
    } else {
      focusOnError(this.form);
    }
  }

}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;form [formGroup]&#x3D;&quot;form&quot; novalidate autocomplete&#x3D;&quot;off&quot;&gt;
  &lt;mat-card id&#x3D;&quot;electionPagePropertiesModelEdit&quot; [class.read-only]&#x3D;&quot;readOnly&quot;&gt;
    &lt;mat-card-header&gt;
      &lt;mat-card-title&gt;{{ &quot;parameters.election-page-properties.edit.models.details.title.&quot; + mode | translate }}
      &lt;/mat-card-title&gt;
    &lt;/mat-card-header&gt;

    &lt;mat-card-content&gt;


      &lt;mat-form-field style&#x3D;&quot;width: 100%&quot;&gt;
        &lt;input matInput name&#x3D;&quot;modelName&quot; formControlName&#x3D;&quot;modelName&quot;
               maxlength&#x3D;&quot;255&quot;
               placeholder&#x3D;&quot;{{&#x27;parameters.election-page-properties.edit.models.form.fields.model-name&#x27; | translate  }}&quot;&gt;
        &lt;mat-error&gt;
          &lt;default-errors [fieldName]&#x3D;&quot;&#x27;modelName&#x27;&quot; [form]&#x3D;&quot;form&quot;&gt;&lt;/default-errors&gt;
        &lt;/mat-error&gt;
      &lt;/mat-form-field&gt;


      &lt;h2 class&#x3D;&quot;section-title&quot;&gt;
        {{ &quot;parameters.election-page-properties.edit.models.form.sections.ballot-paper&quot; | translate }}
      &lt;/h2&gt;

      &lt;div class&#x3D;&quot;input-with-toggle&quot;&gt;
        &lt;label&gt;
          {{&#x27;parameters.election-page-properties.edit.models.form.fields.display-candidate-search-form&#x27; | translate }}
        &lt;/label&gt;

        &lt;mat-slide-toggle #shouldPrint name&#x3D;&quot;displayCandidateSearchForm&quot; color&#x3D;&quot;primary&quot;
                          formControlName&#x3D;&quot;displayCandidateSearchForm&quot;&gt;&lt;/mat-slide-toggle&gt;
      &lt;/div&gt;

      &lt;div class&#x3D;&quot;input-with-toggle&quot;&gt;
        &lt;label&gt;
          {{&#x27;parameters.election-page-properties.edit.models.form.fields.allow-change-of-electoral-list&#x27; | translate }}
        &lt;/label&gt;

        &lt;mat-slide-toggle #shouldPrint name&#x3D;&quot;allowChangeOfElectoralList&quot; color&#x3D;&quot;primary&quot;
                          formControlName&#x3D;&quot;allowChangeOfElectoralList&quot;&gt;&lt;/mat-slide-toggle&gt;
      &lt;/div&gt;


      &lt;h2 class&#x3D;&quot;section-title&quot;&gt;
        {{ &quot;parameters.election-page-properties.edit.models.form.sections.list-display&quot; | translate }}
      &lt;/h2&gt;

      &lt;div class&#x3D;&quot;input-with-toggle&quot;&gt;
        &lt;label&gt;
          {{&#x27;parameters.election-page-properties.edit.models.form.fields.display-empty-position&#x27; | translate }}
        &lt;/label&gt;

        &lt;mat-slide-toggle #shouldPrint name&#x3D;&quot;displayEmptyPosition&quot; color&#x3D;&quot;primary&quot;
                          formControlName&#x3D;&quot;displayEmptyPosition&quot;&gt;&lt;/mat-slide-toggle&gt;
      &lt;/div&gt;

      &lt;h2 class&#x3D;&quot;section-title&quot;&gt;
        {{ &quot;parameters.election-page-properties.edit.models.form.sections.candidate-display&quot; | translate }}
      &lt;/h2&gt;

      &lt;label class&#x3D;&quot;parent-label&quot;&gt;
        {{&#x27;parameters.election-page-properties.edit.models.form.fields.display-candidate-position-on-ballot-paper.title&#x27;
        | translate }}
      &lt;/label&gt;


      &lt;div class&#x3D;&quot;input-with-toggle input-with-toggle--padded&quot;&gt;
        &lt;label&gt;
          {{&#x27;parameters.election-page-properties.edit.models.form.fields.display-candidate-position-on-ballot-paper.compact-ballot-paper&#x27;
          | translate }}
        &lt;/label&gt;

        &lt;mat-slide-toggle #shouldPrint name&#x3D;&quot;displayCandidatePositionOnACompactBallotPaper&quot; color&#x3D;&quot;primary&quot;
                          formControlName&#x3D;&quot;displayCandidatePositionOnACompactBallotPaper&quot;&gt;&lt;/mat-slide-toggle&gt;
      &lt;/div&gt;

      &lt;div class&#x3D;&quot;input-with-toggle input-with-toggle--padded&quot;&gt;
        &lt;label&gt;
          {{&#x27;parameters.election-page-properties.edit.models.form.fields.display-candidate-position-on-ballot-paper.modified-ballot-paper&#x27;
          | translate }}
        &lt;/label&gt;

        &lt;mat-slide-toggle #shouldPrint name&#x3D;&quot;displayCandidatePositionOnAModifiedBallotPaper&quot; color&#x3D;&quot;primary&quot;
                          formControlName&#x3D;&quot;displayCandidatePositionOnAModifiedBallotPaper&quot;&gt;&lt;/mat-slide-toggle&gt;
      &lt;/div&gt;


      &lt;div class&#x3D;&quot;input-without-label&quot;&gt;
        &lt;div class&#x3D;&quot;input&quot;&gt;
          &lt;mat-form-field style&#x3D;&quot;width: 30em;&quot;&gt;

            &lt;mat-select name&#x3D;&quot;candidateInformationDisplayModel&quot; formControlName&#x3D;&quot;candidateInformationDisplayModel&quot;
                        placeholder&#x3D;&quot;{{&#x27;parameters.election-page-properties.edit.models.form.fields.candidate-information-display-model&#x27; | translate  }}&quot;&gt;
              &lt;mat-option *ngFor&#x3D;&quot;let possibleValue of possibleCandidateInformationDisplayModels&quot;
                          [value]&#x3D;&quot;possibleValue&quot;&gt;
                {{ possibleValue }}
              &lt;/mat-option&gt;
            &lt;/mat-select&gt;
            &lt;mat-error&gt;
              &lt;default-errors [fieldName]&#x3D;&quot;&#x27;candidateInformationDisplayModel&#x27;&quot; [form]&#x3D;&quot;form&quot;&gt;&lt;/default-errors&gt;
            &lt;/mat-error&gt;
          &lt;/mat-form-field&gt;
        &lt;/div&gt;

      &lt;/div&gt;

      &lt;h2 class&#x3D;&quot;section-title&quot;&gt;
        {{ &quot;parameters.election-page-properties.edit.models.form.sections.summary-page&quot; | translate }}
      &lt;/h2&gt;


      &lt;div class&#x3D;&quot;input-with-toggle&quot;&gt;
        &lt;label&gt;
          {{&#x27;parameters.election-page-properties.edit.models.form.fields.display-suffrage-count&#x27; | translate }}
        &lt;/label&gt;

        &lt;mat-slide-toggle #shouldPrint name&#x3D;&quot;displaySuffrageCount&quot; color&#x3D;&quot;primary&quot;
                          formControlName&#x3D;&quot;displaySuffrageCount&quot;&gt;&lt;/mat-slide-toggle&gt;
      &lt;/div&gt;

      &lt;h2 class&#x3D;&quot;section-title&quot;&gt;
        {{ &quot;parameters.election-page-properties.edit.models.form.sections.verification-page&quot; | translate }}
      &lt;/h2&gt;


      &lt;div class&#x3D;&quot;input-with-toggle&quot;&gt;
        &lt;label&gt;
          {{&#x27;parameters.election-page-properties.edit.models.form.fields.display-list-verification-code&#x27; | translate }}
        &lt;/label&gt;

        &lt;mat-slide-toggle #shouldPrint name&#x3D;&quot;displayListVerificationCode&quot; color&#x3D;&quot;primary&quot;
                          formControlName&#x3D;&quot;displayListVerificationCode&quot;&gt;&lt;/mat-slide-toggle&gt;

      &lt;/div&gt;

      &lt;div *ngIf&#x3D;&quot;possibleColumnsForVerificationsCodes&quot;&gt;
        &lt;verification-code-edit [possibleColumns]&#x3D;&quot;possibleColumnsForVerificationsCodes&quot;
                                [(displayedColumns)]&#x3D;&quot;displayedColumnsOnVerificationTable&quot;
                                [(sortOrder)]&#x3D;&quot;columnsOrderOnVerificationTable&quot;
                                [readOnly]&#x3D;&quot;readOnly&quot;&gt;

        &lt;/verification-code-edit&gt;
      &lt;/div&gt;

      &lt;h2 class&#x3D;&quot;section-title&quot;&gt;
        {{ &quot;parameters.election-page-properties.edit.models.form.sections.rules&quot; | translate }}
      &lt;/h2&gt;

      &lt;div class&#x3D;&quot;input-with-toggle&quot;&gt;
        &lt;label&gt;
          {{&#x27;parameters.election-page-properties.edit.models.form.fields.allow-open-candidature&#x27; | translate }}
        &lt;/label&gt;

        &lt;mat-slide-toggle #shouldPrint name&#x3D;&quot;allowOpenCandidature&quot; color&#x3D;&quot;primary&quot;
                          formControlName&#x3D;&quot;allowOpenCandidature&quot;&gt;&lt;/mat-slide-toggle&gt;
      &lt;/div&gt;

      &lt;div class&#x3D;&quot;input-with-toggle&quot;&gt;
        &lt;label&gt;
          {{&#x27;parameters.election-page-properties.edit.models.form.fields.allow-multiple-mandates&#x27; | translate }}
        &lt;/label&gt;

        &lt;mat-slide-toggle #shouldPrint name&#x3D;&quot;allowMultipleMandates&quot; color&#x3D;&quot;primary&quot;
                          formControlName&#x3D;&quot;allowMultipleMandates&quot;&gt;&lt;/mat-slide-toggle&gt;
      &lt;/div&gt;

      &lt;div class&#x3D;&quot;input-with-toggle&quot;&gt;
        &lt;label&gt;
          {{&#x27;parameters.election-page-properties.edit.models.form.fields.display-void-on-empty-ballot-paper&#x27; | translate
          }}
        &lt;/label&gt;

        &lt;mat-slide-toggle #shouldPrint name&#x3D;&quot;displayVoidOnEmptyBallotPaper&quot; color&#x3D;&quot;primary&quot;
                          formControlName&#x3D;&quot;displayVoidOnEmptyBallotPaper&quot;&gt;&lt;/mat-slide-toggle&gt;
      &lt;/div&gt;


    &lt;/mat-card-content&gt;

    &lt;mat-card-actions&gt;
      &lt;div fxLayout fxLayoutAlign&#x3D;&quot;end&quot;&gt;
        &lt;ng-container *roles&#x3D;&quot;[&#x27;CREATE_ELECTION_PAGE_PROPERTIES_MODEL&#x27;]&quot;&gt;
          &lt;button mat-raised-button *ngIf&#x3D;&quot;!readOnly&quot;
                  id&#x3D;&quot;saveButton&quot;
                  color&#x3D;&quot;primary&quot;
                  type&#x3D;&quot;submit&quot;
                  (click)&#x3D;&quot;save()&quot;&gt;{{&#x27;global.actions.save&#x27; | translate | uppercase}}
          &lt;/button&gt;
        &lt;/ng-container&gt;
      &lt;/div&gt;
    &lt;/mat-card-actions&gt;
  &lt;/mat-card&gt;
&lt;/form&gt;

</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./election-page-properties-model-edit.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">.input-without-label {
  display: flex;
  text-align: right;
  .input {
    flex: 0 0 43em;
  }
}

.input-with-toggle {
  display: flex;
  margin-bottom: 1em;
  label {
    flex: 0 0 40em;
  }

  mat-slide-toggle {
    flex: 0 0 3em;
  }
}

.input-with-toggle:last-child {
  margin-bottom: 0;
}

.parent-label {
  margin-bottom: 0.7em;
  display: block;

}

.input-with-toggle.input-with-toggle--padded label {
  text-align: right;
  flex: 0 0 38em;
  margin-right: 2em;
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><form [formGroup]="form" novalidate autocomplete="off">  <mat-card id="electionPagePropertiesModelEdit" [class.read-only]="readOnly">    <mat-card-header>      <mat-card-title>{{ "parameters.election-page-properties.edit.models.details.title." + mode | translate }}      </mat-card-title>    </mat-card-header>    <mat-card-content>      <mat-form-field style="width: 100%">        <input matInput name="modelName" formControlName="modelName"               maxlength="255"               placeholder="{{\'parameters.election-page-properties.edit.models.form.fields.model-name\' | translate  }}">        <mat-error>          <default-errors [fieldName]="\'modelName\'" [form]="form"></default-errors>        </mat-error>      </mat-form-field>      <h2 class="section-title">        {{ "parameters.election-page-properties.edit.models.form.sections.ballot-paper" | translate }}      </h2>      <div class="input-with-toggle">        <label>          {{\'parameters.election-page-properties.edit.models.form.fields.display-candidate-search-form\' | translate }}        </label>        <mat-slide-toggle #shouldPrint name="displayCandidateSearchForm" color="primary"                          formControlName="displayCandidateSearchForm"></mat-slide-toggle>      </div>      <div class="input-with-toggle">        <label>          {{\'parameters.election-page-properties.edit.models.form.fields.allow-change-of-electoral-list\' | translate }}        </label>        <mat-slide-toggle #shouldPrint name="allowChangeOfElectoralList" color="primary"                          formControlName="allowChangeOfElectoralList"></mat-slide-toggle>      </div>      <h2 class="section-title">        {{ "parameters.election-page-properties.edit.models.form.sections.list-display" | translate }}      </h2>      <div class="input-with-toggle">        <label>          {{\'parameters.election-page-properties.edit.models.form.fields.display-empty-position\' | translate }}        </label>        <mat-slide-toggle #shouldPrint name="displayEmptyPosition" color="primary"                          formControlName="displayEmptyPosition"></mat-slide-toggle>      </div>      <h2 class="section-title">        {{ "parameters.election-page-properties.edit.models.form.sections.candidate-display" | translate }}      </h2>      <label class="parent-label">        {{\'parameters.election-page-properties.edit.models.form.fields.display-candidate-position-on-ballot-paper.title\'        | translate }}      </label>      <div class="input-with-toggle input-with-toggle--padded">        <label>          {{\'parameters.election-page-properties.edit.models.form.fields.display-candidate-position-on-ballot-paper.compact-ballot-paper\'          | translate }}        </label>        <mat-slide-toggle #shouldPrint name="displayCandidatePositionOnACompactBallotPaper" color="primary"                          formControlName="displayCandidatePositionOnACompactBallotPaper"></mat-slide-toggle>      </div>      <div class="input-with-toggle input-with-toggle--padded">        <label>          {{\'parameters.election-page-properties.edit.models.form.fields.display-candidate-position-on-ballot-paper.modified-ballot-paper\'          | translate }}        </label>        <mat-slide-toggle #shouldPrint name="displayCandidatePositionOnAModifiedBallotPaper" color="primary"                          formControlName="displayCandidatePositionOnAModifiedBallotPaper"></mat-slide-toggle>      </div>      <div class="input-without-label">        <div class="input">          <mat-form-field style="width: 30em;">            <mat-select name="candidateInformationDisplayModel" formControlName="candidateInformationDisplayModel"                        placeholder="{{\'parameters.election-page-properties.edit.models.form.fields.candidate-information-display-model\' | translate  }}">              <mat-option *ngFor="let possibleValue of possibleCandidateInformationDisplayModels"                          [value]="possibleValue">                {{ possibleValue }}              </mat-option>            </mat-select>            <mat-error>              <default-errors [fieldName]="\'candidateInformationDisplayModel\'" [form]="form"></default-errors>            </mat-error>          </mat-form-field>        </div>      </div>      <h2 class="section-title">        {{ "parameters.election-page-properties.edit.models.form.sections.summary-page" | translate }}      </h2>      <div class="input-with-toggle">        <label>          {{\'parameters.election-page-properties.edit.models.form.fields.display-suffrage-count\' | translate }}        </label>        <mat-slide-toggle #shouldPrint name="displaySuffrageCount" color="primary"                          formControlName="displaySuffrageCount"></mat-slide-toggle>      </div>      <h2 class="section-title">        {{ "parameters.election-page-properties.edit.models.form.sections.verification-page" | translate }}      </h2>      <div class="input-with-toggle">        <label>          {{\'parameters.election-page-properties.edit.models.form.fields.display-list-verification-code\' | translate }}        </label>        <mat-slide-toggle #shouldPrint name="displayListVerificationCode" color="primary"                          formControlName="displayListVerificationCode"></mat-slide-toggle>      </div>      <div *ngIf="possibleColumnsForVerificationsCodes">        <verification-code-edit [possibleColumns]="possibleColumnsForVerificationsCodes"                                [(displayedColumns)]="displayedColumnsOnVerificationTable"                                [(sortOrder)]="columnsOrderOnVerificationTable"                                [readOnly]="readOnly">        </verification-code-edit>      </div>      <h2 class="section-title">        {{ "parameters.election-page-properties.edit.models.form.sections.rules" | translate }}      </h2>      <div class="input-with-toggle">        <label>          {{\'parameters.election-page-properties.edit.models.form.fields.allow-open-candidature\' | translate }}        </label>        <mat-slide-toggle #shouldPrint name="allowOpenCandidature" color="primary"                          formControlName="allowOpenCandidature"></mat-slide-toggle>      </div>      <div class="input-with-toggle">        <label>          {{\'parameters.election-page-properties.edit.models.form.fields.allow-multiple-mandates\' | translate }}        </label>        <mat-slide-toggle #shouldPrint name="allowMultipleMandates" color="primary"                          formControlName="allowMultipleMandates"></mat-slide-toggle>      </div>      <div class="input-with-toggle">        <label>          {{\'parameters.election-page-properties.edit.models.form.fields.display-void-on-empty-ballot-paper\' | translate          }}        </label>        <mat-slide-toggle #shouldPrint name="displayVoidOnEmptyBallotPaper" color="primary"                          formControlName="displayVoidOnEmptyBallotPaper"></mat-slide-toggle>      </div>    </mat-card-content>    <mat-card-actions>      <div fxLayout fxLayoutAlign="end">        <ng-container *roles="[\'CREATE_ELECTION_PAGE_PROPERTIES_MODEL\']">          <button mat-raised-button *ngIf="!readOnly"                  id="saveButton"                  color="primary"                  type="submit"                  (click)="save()">{{\'global.actions.save\' | translate | uppercase}}          </button>        </ng-container>      </div>    </mat-card-actions>  </mat-card></form></div>'
    var COMPONENTS = [{'name': 'ActionCardComponent', 'selector': 'action-card'},{'name': 'AdminCardsViewComponent', 'selector': 'admin-cards-view'},{'name': 'AdminComponent', 'selector': 'app-admin'},{'name': 'AdminEditViewComponent', 'selector': 'admin-edit-view'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotDocumentationCardComponent', 'selector': 'ballot-documentation-card'},{'name': 'BallotDocumentationEditComponent', 'selector': ''},{'name': 'BaseCardComponent', 'selector': 'base-card'},{'name': 'BaseCreateComponent', 'selector': ''},{'name': 'BaseEditComponent', 'selector': ''},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'CardTitleCardComponent', 'selector': 'card-title-card'},{'name': 'CardTitleEditComponent', 'selector': 'card-title-edit'},{'name': 'CompletableCardComponent', 'selector': 'completable-card'},{'name': 'DashboardComponent', 'selector': ''},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'DeploymentSummaryComponent', 'selector': 'deployment-summary'},{'name': 'DocumentCardComponent', 'selector': 'document-card'},{'name': 'DocumentEditComponent', 'selector': ''},{'name': 'DomainInfluenceCardComponent', 'selector': 'domain-influence-card'},{'name': 'DomainInfluenceEditComponent', 'selector': ''},{'name': 'DomainInfluenceGridComponent', 'selector': 'domain-influence-grid'},{'name': 'EditContentComponent', 'selector': 'edit-content'},{'name': 'EditLabelComponent', 'selector': 'edit-label'},{'name': 'EditWithSideBarComponent', 'selector': 'edit-with-side-bar'},{'name': 'ElectionDetailsComponent', 'selector': 'election-details'},{'name': 'ElectionDetailsElectoralListComponent', 'selector': 'election-details-electoral-lists'},{'name': 'ElectionDetailsTableComponent', 'selector': 'election-details-table'},{'name': 'ElectionPagePropertiesCardComponent', 'selector': 'election-page-properties-card'},{'name': 'ElectionPagePropertiesEditComponent', 'selector': 'election-page-properties-edit'},{'name': 'ElectionPagePropertiesMappingComponent', 'selector': 'election-page-properties-mapping'},{'name': 'ElectionPagePropertiesModelEditComponent', 'selector': 'election-page-properties-model-edit'},{'name': 'ElectionPagePropertiesModelListComponent', 'selector': 'election-page-properties-model-list'},{'name': 'ElectoralAuthorityKeyCardComponent', 'selector': 'electoral-authority-key-card'},{'name': 'ElectoralAuthorityKeyListComponent', 'selector': 'electoral-authority-key-list'},{'name': 'GroupedGridComponent', 'selector': 'grouped-grid'},{'name': 'HeaderComponent', 'selector': 'chvote-header'},{'name': 'HighlightedQuestionEditComponent', 'selector': 'highlighted-question-edit'},{'name': 'HighlightedQuestionListComponent', 'selector': 'highlighted-question-list'},{'name': 'KeyViewComponent', 'selector': 'key-view'},{'name': 'LocalizedHighlightedQuestionListComponent', 'selector': 'localized-highlighted-question-list'},{'name': 'LoginComponent', 'selector': ''},{'name': 'ManagementEntityCardComponent', 'selector': 'management-entity-card'},{'name': 'ManagementEntityEditComponent', 'selector': 'management-entity-edit'},{'name': 'ManagementEntityListComponent', 'selector': 'management-entity-list'},{'name': 'ManagementEntitySelectorComponent', 'selector': 'management-entity-selector'},{'name': 'MilestoneCardComponent', 'selector': 'milestone-card'},{'name': 'MilestoneEditComponent', 'selector': ''},{'name': 'ModelSelectorComponent', 'selector': 'election-page-bulk-update'},{'name': 'OperationListComponent', 'selector': 'operation-list'},{'name': 'OperationManagementComponent', 'selector': ''},{'name': 'ParametersComponent', 'selector': 'parameters'},{'name': 'ParametersEditComponent', 'selector': ''},{'name': 'ParametersNotificationComponent', 'selector': 'parameters-notification'},{'name': 'PrinterCardComponent', 'selector': 'printer-card'},{'name': 'PrinterEditComponent', 'selector': 'printer-edit'},{'name': 'PrinterViewComponent', 'selector': 'printer-view'},{'name': 'ProductionSummaryComponent', 'selector': 'production-summary'},{'name': 'RegisterCardComponent', 'selector': 'register-card'},{'name': 'RegisterListComponent', 'selector': 'register-list'},{'name': 'RegisterUploadComponent', 'selector': 'register-upload'},{'name': 'RepositoryCardComponent', 'selector': 'repository-card'},{'name': 'RepositoryEditComponent', 'selector': ''},{'name': 'SelectedElectoralAuthorityKeyCardComponent', 'selector': 'selected-electoral-authority-key-card'},{'name': 'SelectedElectoralAuthorityKeyEditComponent', 'selector': 'selected-electoral-authority-key-edit'},{'name': 'SideBarBackButtonComponent', 'selector': 'side-bar-back-button'},{'name': 'SideBarItemComponent', 'selector': 'side-bar-item'},{'name': 'SlideDetailsComponent', 'selector': 'slide-details'},{'name': 'SlideDetailsContentComponent', 'selector': 'slide-details-content'},{'name': 'SlideDetailsDetailsComponent', 'selector': 'slide-details-details'},{'name': 'SmallProgressSpinnerComponent', 'selector': 'small-progress-spinner'},{'name': 'TallyComponent', 'selector': 'tally'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'TestingCardsLotCardComponent', 'selector': 'testing-cards-lot-card'},{'name': 'TestingCardsLotDetailsComponent', 'selector': 'testing-cards-lot-details'},{'name': 'TestingCardsLotListComponent', 'selector': 'testing-cards-lot-list'},{'name': 'TestingCardsLotSideBarItemComponent', 'selector': 'testing-cards-lot-side-bar-item'},{'name': 'TestSiteCardsDownloadButtonComponent', 'selector': 'test-site-cards-download-button'},{'name': 'TestSummaryComponent', 'selector': 'test-summary'},{'name': 'TextWithEditComponent', 'selector': 'text-with-edit'},{'name': 'UploadInputComponent', 'selector': 'upload-input'},{'name': 'VerificationCodeEditComponent', 'selector': 'verification-code-edit'},{'name': 'VotationDetailsComponent', 'selector': 'votation-details'},{'name': 'VotingMaterialComponent', 'selector': ''},{'name': 'VotingMaterialCreationProgressComponent', 'selector': 'voting-material-creation-progress'},{'name': 'VotingMaterialNotificationComponent', 'selector': 'voting-material-notification'},{'name': 'VotingPeriodComponent', 'selector': ''},{'name': 'VotingPeriodNotificationComponent', 'selector': 'voting-period-notification'},{'name': 'VotingSiteConfigurationCardComponent', 'selector': 'voting-site-configuration-card'},{'name': 'VotingSiteConfigurationComponent', 'selector': 'voting-site-configuration-edit'},{'name': 'VotingSitePeriodCardComponent', 'selector': 'voting-site-period-card'},{'name': 'VotingSitePeriodEditComponent', 'selector': 'voting-site-period-edit'},{'name': 'WaitingCover', 'selector': ''}];
    var DIRECTIVES = [{'name': 'CheckRolesDirective', 'selector': '[roles]'}];
    var ACTUAL_COMPONENT = {'name': 'ElectionPagePropertiesModelEditComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'ElectionPagePropertiesModelEditComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
